<?php
/* get the stylesheet */
$stylesheet = 'jltcenter_events.css';

/* set the header information */
//will be output as css
header('Content-type: text/css');
//set an expiration date
$days_to_cache = 10;
header('Expires: '.gmdate('D, d M Y H:i:s',time() + (60 * 60 * 24 * $days_to_cache)).' GMT');
/* set the dynamic information */
//default css variable information


$css_array = array();
if ($_GET['width']){
	 $css_array['width'] = $_GET['width'].'px';
}
else{
	$css_array['width'] = '200px';
}


if ($_GET['height']){
	$css_array['height'] = $_GET['height'].'px';
}
else{
	$css_array['height'] = '200px';
}


if ($_GET['slider_id']){
	$css_array['slider_id'] = $_GET['slider_id'];
}
else{
	$css_array['slider_id'] = '';
}

$default = $css_array;

/* extract the propery array's information */
extract($default);

/* load in the stylesheet */
$content = preg_replace('/\$([\w]+)/e','$0',@file_get_contents($stylesheet));

/* spit it out */
echo $content;